Bug 351787 - Selection with Smooth interpolation.
Summary: Selection with Smooth interpolation.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: git master (please specify the git hash!)
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-26 09:14 UTC by Paul Geraskin
Modified: 2018-09-07 14:25 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Geraskin 2015-08-26 09:14:39 UTC
Hi.

Sometimes i want to make smooth selection for masking some parts of an image. But it's hard to make sometimes.

We have a great tool called Polygonal Selection. It would be great to add Smooth Interpolation to it as a feature.

Here are screenshots with explanation:
http://i.imgur.com/OokZKU3.png - this one is made with polygonal selection tool
http://i.imgur.com/ltGjoZM.png - this one is for spline/auto-bezier interpolation. Proposal.

I recently did auto-bezier tool called MiraTools for blender http://i.imgur.com/f0x62oZ.png It's very  useful. 
Here is video example how it works:
http://www.youtube.com/watch?v=ekTS5BiTIT4

Thanks.
Comment 1 Halla Rempt 2016-01-24 12:23:24 UTC
WISHGROUP: Stretchgoal

Probably a seriously amount of work.
Comment 2 Dmitry Kazakov 2018-08-23 15:52:54 UTC
Git commit 58444e98e7a230c50dcc27f6705d6e2da919e63d by Dmitry Kazakov.
Committed on 23/08/2018 at 15:52.
Pushed by dkazakov into branch 'master'.

Now if you select auto-smoothing the cerated curve will
be not a "polygon", but a smooth curve with the type of all the
points set to "smooth".
CC:kimageshop@kde.org

M  +48   -0    libs/basicflakes/tools/KoCreatePathTool.cpp
M  +4    -0    libs/basicflakes/tools/KoCreatePathTool.h
M  +17   -0    libs/basicflakes/tools/KoCreatePathTool_p.h
M  +25   -16   libs/flake/commands/KoPathPointTypeCommand.cpp
M  +2    -0    libs/flake/commands/KoPathPointTypeCommand.h
M  +10   -0    libs/ui/kis_config.cc
M  +3    -0    libs/ui/kis_config.h

https://commits.kde.org/krita/58444e98e7a230c50dcc27f6705d6e2da919e63d
Comment 3 Halla Rempt 2018-09-07 14:25:38 UTC
Git commit 6ed3c55fddfc497b5c052de96dab7edea39134a3 by Boudewijn Rempt, on behalf of Dmitry Kazakov.
Committed on 07/09/2018 at 12:49.
Pushed by rempt into branch 'krita/4.1'.

Now if you select auto-smoothing the cerated curve will
be not a "polygon", but a smooth curve with the type of all the
points set to "smooth".
CC:kimageshop@kde.org

M  +48   -0    libs/basicflakes/tools/KoCreatePathTool.cpp
M  +4    -0    libs/basicflakes/tools/KoCreatePathTool.h
M  +17   -0    libs/basicflakes/tools/KoCreatePathTool_p.h
M  +25   -16   libs/flake/commands/KoPathPointTypeCommand.cpp
M  +2    -0    libs/flake/commands/KoPathPointTypeCommand.h
M  +10   -0    libs/ui/kis_config.cc
M  +3    -0    libs/ui/kis_config.h

https://commits.kde.org/krita/6ed3c55fddfc497b5c052de96dab7edea39134a3